Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for the website

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 09 Jul 2021 23:56:41 -0400

Hi Ludovic!

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> FWIW, the map(PROT_NONE) issue was (I think) fixed by
>>> 0aef94e7bcbd272720f14c5343f74da5201ef90a (in May), itself a followup to
>>> 47d48f0c43c13c0b43bc3e37b6239efd4bf2f74c, so I think the comment is
>>> stale.
>
> [...]
>
>> Sadly, the error is still the same, even using guix in my tree (master):
>>
>> mmap(PROT_NONE) failed
>> builder for `/gnu/store/f8fdzi1hp7b3ln2zz6z87p3cj3gf0ac5-guix-translated-texinfo.drv'
>> failed due to signal 11 (Segmentation fault)
>>
>> So the comment is still valid, I'm afraid :-/.
>
> TL;DR: I pushed another fix; gory explanations follow.

Woohoo!  Thank you for the fix, as well as the explanations.  It was an
interesting read :-).

Thanks,

Maxim